summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorNicholas Marriott <nicholas.marriott@gmail.com>2010-12-31 22:12:33 +0000
committerNicholas Marriott <nicholas.marriott@gmail.com>2010-12-31 22:12:33 +0000
commitf71b3054cd0111625ef8bf933517a08f07833e06 (patch)
tree46e71dcebc6f9fc8de494966acf87ad2020b2f37 /autogen.sh
parent60dd44008229506043ae61d602e89b90306ccfe5 (diff)
Switch tmux to use autoconf and automake.
Although they suck, they suck less than the alternatives.
Diffstat (limited to 'autogen.sh')
-rw-r--r--autogen.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100644
index 00000000..f578a3dd
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+[ -z "$AUTOMAKE_VERSION" ] && export AUTOMAKE_VERSION=1.10
+[ -z "$AUTOCONF_VERSION" ] && export AUTOCONF_VERSION=2.65
+
+die()
+{
+ echo "$@" >&2
+ exit 1
+}
+
+mkdir -p etc
+aclocal || die "aclocal failed"
+automake --add-missing --force-missing --copy --foreign || die "automake failed"
+autoreconf || die "autoreconf failed"